Bug 223954 - Add a fast-cq mode for commit-queue which will skip build and test
Summary: Add a fast-cq mode for commit-queue which will skip build and test
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Aakash Jain
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-03-30 13:35 PDT by Aakash Jain
Modified: 2021-04-14 15:35 PDT (History)
5 users (show)

See Also:


Attachments
Patch (4.48 KB, patch)
2021-03-30 13:43 PDT, Aakash Jain
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aakash Jain 2021-03-30 13:35:17 PDT
Add a fast-cq mode for commit-queue which will skip build and test. This will help in scenarios where the patch author wants to quickly land the patch (skipping building and testing on commit-queue). 

Few scenario where people might want to land patch without building/testing: build fix, quick typo fix.
Comment 1 Aakash Jain 2021-03-30 13:43:11 PDT
Created attachment 424687 [details]
Patch
Comment 2 Aakash Jain 2021-03-30 13:46:07 PDT
(In reply to Aakash Jain from comment #1)
> Created attachment 424687 [details]
This patch allows commit-queue to look at patch name and enable fast-cq mode when the patch name on bugzilla starts with [fast-cq] keyword. This is similar to how commit-queue currently skips building and testing for revert patches.

We can also update webkit-patch command to add this keyword to patch name when a certain parameter (e.g.: --fast-cq) is passed.
Comment 3 EWS 2021-03-31 09:03:37 PDT
Committed r275282: <https://commits.webkit.org/r275282>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 424687 [details].
Comment 4 Radar WebKit Bug Importer 2021-03-31 09:04:14 PDT
<rdar://problem/76055353>
Comment 5 Aakash Jain 2021-04-01 04:47:37 PDT
Restarted EWS server to pick up this change. This change is now live.
Comment 6 Aakash Jain 2021-04-01 13:52:55 PDT
Working fine. For e.g.: https://webkit.org/b/224054 had '[fast-cq] Patch', commit-queue took ~1 minute to land that patch in https://ews-build.webkit.org/#/builders/28/builds/10630